<?php
// Mostrar errores para la depuración
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Leer la entrada JSON
$input = file_get_contents('php://input');
$data = json_decode($input, true);

// Verificar si los datos se enviaron por POST
if (!isset($data['visitorId']) || !isset($data['requestId'])) {
    exit("Los datos no están completos.");
}

$visitorId = $data['visitorId'];
$requestId = $data['requestId'];

require_once(__DIR__ . '/vendor/autoload.php');
use Fingerprint\ServerAPI\Api\FingerprintApi;
use Fingerprint\ServerAPI\Configuration;
use GuzzleHttp\Client;

$config = Configuration::getDefaultConfiguration()->setApiKey('ylasgF1zbFDEtUQqMkGg');

$client = new FingerprintApi(new Client(), $config);

// Obtener un evento de identificación específico usando el requestId
try {
    $response = $client->getEvent($requestId);
    $json = json_decode($response->__toString());

    $bloqueo = false;
    $cual = "";

    // Ajustar el umbral al 90%
    $umbral = 0.90;

    if ($json->bot->automationTool->status == "processed" && $json->bot->automationTool->probability >= $umbral) {
        $bloqueo = true;
        $cual = "FingerPrint AutomationTool - " . $json->bot->automationTool->type;
    }
    if ($json->bot->browserSpoofing->status == "processed" && $json->bot->browserSpoofing->probability >= $umbral) {
        $bloqueo = true;
        $cual = "FingerPrint BrowserSpoofing - " . $json->bot->browserSpoofing->type;
    }
    if ($json->bot->searchEngine->status == "processed" && $json->bot->searchEngine->probability >= $umbral) {
        $bloqueo = true;
        $cual = "FingerPrint searchEngine - " . $json->bot->searchEngine->type;
    }
    if ($json->vm->status == "processed" && $json->vm->probability >= $umbral) {
        $bloqueo = true;
        $cual = "FingerPrint VM - " . $json->vm->type;
    }

    if ($bloqueo == true) {
        echo "0";
        echo "Bloqueo: " . $cual;
    } else {
        echo "1";  // Retornar "1" si no hay bloqueo
    }
} catch (Exception $e) {
    echo "Error al obtener evento: " . $e->getMessage(), PHP_EOL;
}
?>
